MC68DIS(1)

NAME
mc68dis - MC68000 disassembler

SYNOPSIS
mc68dis [-o] [-V] [-L] [-d sec] [-da sec ] [-F function] [-t sec]
[-l string] files

DESCRIPTION
The mc68dis command produces an assembly language listing of each of its object file arguments. The listing includes assembly statements and a hexadecimal or octal representation of the binary that produced those statements.

The following options are interpreted by the disassembler and may be specified in any order.

-o  Prints numbers in octal. Default is hexadecimal.

-V  Version number of the disassembler is written to standard error.

-L  Invokes a look-up of C source labels in the symbol table for subsequent printing.

-d sec
    Disassembles the named section as data, printing the offset of the data from the beginning of the section.

-da sec
    Disassembles the named section as data, printing the actual address of the data.

-F function
    Disassembles the named function in each object file that is specified on the command line.

-t sec
    Disassembles the named section as text.

-l string
    Disassembles the library file specified as string. For example, one would issue the command mc68dis -l x -l z to disassemble libx.a and libz.a . All libraries are assumed to be in $DMD/lib.

If the -d, -da or -t options are specified, only those named sections from each user supplied file name are disassembled. Otherwise, all sections containing text will be disassembled.

If the -F option is specified, only those named functions from each user supplied file name are disassembled. -F only works with object files that have been compiled with the dmdcc -g option.

On output, a number enclosed in brackets at the beginning of a line, such as [5], represents a C break-pointable line number that starts with the following instruction. These line numbers are present only when the object file has been compiled with the dmdcc -g option. An expression such as <40> in the operand field, following a relative displacement for control transfer instructions, is the computed address within the section to which control is transferred. Similarly, an expression such as <40>+%d0, following a program counter index plus displacement operand, indicates that the effective address of the operand in the current section is 40 plus the content of %d0. A C function name will appear in the first column, followed by (), if the function was compiled with -g.

SEE ALSO
dmdcc(1), mc68as(1), mc68ld(1).

DIAGNOSTICS
The self-explanatory diagnostics indicate errors in the command line or problems encountered with the specified files.